Loading...
Searching...
No Matches
BALL::RingAnalyser::Ring Class Reference

`#include <BALL/STRUCTURE/ringAnalyser.h>`

Inheritance diagram for BALL::RingAnalyser::Ring:

## Public Member Functions

| Ring ()
| Default constructor.
| Ring (std::vector< Atom * > const &atoms_)
| Detailed constructor.
Position | predecessor (Position i) const
| The predecessor of atom i in the ring.
Position | successor (Position i) const
| The successor of atom i in the ring.
Public Member Functions inherited from BALL::PropertyManager
BALL_INLINE | PropertyManager ()
| Default constructor.
BALL_INLINE | PropertyManager (const PropertyManager &property_manager)
| Copy constructor.
virtual | ~PropertyManager ()
| Destructor.
virtual void | clear ()
| Clears all properties.
virtual void | destroy ()
| Clears all properties.
void | set (const PropertyManager &property_manager)
const PropertyManager & | operator= (const PropertyManager &property_manager)
void | get (PropertyManager &property_manager) const
void | swap (PropertyManager &property_manager)
BitVector & | getBitVector ()
const BitVector & | getBitVector () const
| operator BitVector & ()
void | setProperty (Property property)
void | clearProperty (Property property)
void | toggleProperty (Property property)
Size | countProperties () const
const NamedProperty & | getNamedProperty (Position index) const
NamedProperty & | getNamedProperty (Position index)
void | setProperty (const NamedProperty &property)
void | setProperty (const std::string &name)
void | setProperty (const std::string &name, bool value)
void | setProperty (const std::string &name, int value)
void | setProperty (const std::string &name, unsigned int value)
void | setProperty (const std::string &name, float value)
void | setProperty (const std::string &name, double value)
void | setProperty (const std::string &name, const std::string &value)
void | setProperty (const std::string &name, const PersistentObject &value)
const NamedProperty & | getProperty (const std::string &name) const
NamedPropertyIterator | beginNamedProperty ()
NamedPropertyIterator | endNamedProperty ()
void | clearProperty (const std::string &name)
Size | countNamedProperties () const
bool | hasProperty (Property property) const
| Query for an unnamed property.
bool | hasProperty (const std::string &name) const
| Query for a named property.
bool | operator== (const PropertyManager &pm) const
bool | operator!= (const PropertyManager &pm) const
| Inequality operator.
void | write (PersistenceManager &pm) const
| Persistent stream writing.
bool | read (PersistenceManager &pm)
| Persistent stream reading.
bool | isValid () const
void | dump (std::ostream &s=std::cout, Size depth=0) const

## Public Attributes

std::vector< Atom * > | atoms
| the atoms of this ring
RingType | type
| the type of this ring
std::set< Bond const * > | shared_bonds
| the bonds shared with other rings

## Detailed Description

Definition at line 51 of file ringAnalyser.h.

## Constructor & Destructor Documentation

## Ring() [1/2]

BALL::RingAnalyser::Ring::Ring | ( |  | ) |

Default constructor.

## Ring() [2/2]

BALL::RingAnalyser::Ring::Ring | ( | std::vector< Atom * > const & | atoms_ | ) |

Detailed constructor.

## Member Function Documentation

## predecessor()

Position BALL::RingAnalyser::Ring::predecessor | ( | Position | i | ) | const

The predecessor of atom i in the ring.

## successor()

Position BALL::RingAnalyser::Ring::successor | ( | Position | i | ) | const

The successor of atom i in the ring.

## Member Data Documentation

## atoms

std::vector<Atom*> BALL::RingAnalyser::Ring::atoms

the atoms of this ring

Definition at line 68 of file ringAnalyser.h.

## shared_bonds

std::set<Bond const*> BALL::RingAnalyser::Ring::shared_bonds

the bonds shared with other rings

Definition at line 74 of file ringAnalyser.h.

## type

RingType BALL::RingAnalyser::Ring::type

the type of this ring

Definition at line 71 of file ringAnalyser.h.